Name:           JSDoc
Version:        1.10.2
Release:        9%{?dist}
Summary:        Produces javadoc-style documentation from JavaScript sourcefiles
Group:          Development/Tools
# No license attribution in code, only COPYING.
License:        GPL+
URL:            http://jsdoc.sourceforge.net
Source0:        http://downloads.sourceforge.net/jsdoc/%{name}-%{version}.tgz
Source1:        %{name}-COPYING.txt.gz
Patch0:         %{name}-mc-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(HTML::Template)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A script that produces javadoc-style documentation from
well-formed JavaScript sourcefiles. At the moment, this means it
supports sourcefiles where all functions are mapped to a class
using prototype-based inheritance.  Anonymous function
definitions (e.g. Circle.prototype.getRadius = function(){ ...} )
are supported.

%prep
%setup -q -n %{name}-%{version}
gzip -dc %{SOURCE1} >COPYING
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 jsdoc.pl $RPM_BUILD_ROOT%{_bindir}/jsdoc
install -d -p $RPM_BUILD_ROOT%{perl_vendorlib}/JSDoc
install -p -m 644 JSDoc.pm $RPM_BUILD_ROOT%{perl_vendorlib}
install -p -m 644 JSDoc/* $RPM_BUILD_ROOT%{perl_vendorlib}/JSDoc/
install -d -p $RPM_BUILD_ROOT%{perl_vendorlib}/JavaScript/Syntax/
install -p -m 644 JavaScript/Syntax/* \
    $RPM_BUILD_ROOT%{perl_vendorlib}/JavaScript/Syntax/
install -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/jsdoc/
install -p -m 444 *.tmpl *.css $RPM_BUILD_ROOT%{_datadir}/jsdoc/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO CHANGES COPYING
%{_bindir}/jsdoc
%{perl_vendorlib}/JSDoc
%{perl_vendorlib}/JSDoc.pm
%{perl_vendorlib}/JavaScript
%{_datadir}/jsdoc

%changelog
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.10.2-9
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 08 2008 Matěj Cepl <mcepl@redhat.com> 1.10.2-6
- add compatibility perl requirements (Close: bug 454075).

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.10.2-5
- fix license tag

* Sun Jul  1 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-4
- Administrative increase of the release in order to overcome screwed up tagging in Fedora CVS.

* Sat Jun 23 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-3
- Added GPL text as new source
- documentation files (*.tmpl, *.css) shouldn't be executable.
- limited ownership of perl_vendorlib direcotries.

* Sat Apr  7 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-2
- License is GPL, according to the website.

* Fri Apr  6 2007 Matej Cepl <mcepl@redhat.com> - 1.10.2-1
- Initial build
